## net.sf.saxon.type
Class BuiltInType

    java.lang.Object
      net.sf.saxon.type.BuiltInType

All Implemented Interfaces:
  java.io.Serializable

    public abstract class BuiltInType

extends java.lang.Object
implements java.io.Serializable

This non-instantiable class acts as a register of Schema objects containing all the built-in types: that is, the types defined in the "xs" namespace.

Previously called BuiltInSchemaFactory; but its original function has largely been moved to the two classes `BuiltInAtomicType` and `BuiltInListType`

See Also:
  Serialized Form

Method Summary
`static SchemaType` `getSchemaType(int fingerprint)` Get the schema type with a given fingerprint

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSchemaType

    public static SchemaType getSchemaType(int fingerprint)

  Get the schema type with a given fingerprint

  Parameters:
    `fingerprint` - the fingerprint representing the name of the required type
  Returns:
    the SchemaType object representing the given type, if known, otherwise null

Copyright (c) Saxonica Limited. All rights reserved.